package net.minecraft.src;

import net.lax1dude.eaglercraft.TextureLocation;

import java.io.IOException;

public class FoliageColorReloadListener implements ResourceManagerReloadListener
{
    private static final TextureLocation field_130079_a = new TextureLocation("textures/colormap/foliage.png");

    public void onResourceManagerReload(ResourceManager par1ResourceManager)
    {
        try
        {
            ColorizerFoliage.setFoliageBiomeColorizer(TextureUtil.readImageData(par1ResourceManager, field_130079_a));
        }
        catch (IOException var3)
        {
            ;
        }
    }
}
